package com.nmbb.sample.fragmentswitch;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;
import android.view.View;
import android.widget.Button;
import android.widget.FrameLayout;

public class MainActivity extends FragmentActivity  {


	private FrameLayout mContainer;

	private Button bt1;
	private Button bt2;
	private Button bt3;
	private Button bt4;
	private Button bt5;
	private Button bt6;

	private MyFragmentPagerAdapter fragmentPagerAdapter;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		bt1 = (Button) findViewById(R.id.bt1);
		bt2 = (Button) findViewById(R.id.bt2);
		bt3 = (Button) findViewById(R.id.bt3);
		bt4 = (Button) findViewById(R.id.bt4);
		bt5 = (Button) findViewById(R.id.bt5);
		bt6 = (Button) findViewById(R.id.bt6);
		mContainer = (FrameLayout) findViewById(R.id.container);
		
		fragmentPagerAdapter = new MyFragmentPagerAdapter(getSupportFragmentManager());
		
		bt1.performClick();
	}
	
	public void onBtClicked(View v){
		Fragment fragment = (Fragment) fragmentPagerAdapter.instantiateItem(mContainer, v.getId()); 
		fragmentPagerAdapter.setPrimaryItem(mContainer, 0, fragment);
		fragmentPagerAdapter.finishUpdate(mContainer);
	}
	
	/**
	 * 如果是用class 创建的是新的对象
	 * @author Administrator
	 *
	 */
	public class MyFragmentPagerAdapter extends FragmentPagerAdapter{

		public MyFragmentPagerAdapter(FragmentManager fm) {
			super(fm);
		}

		@Override
		public Fragment getItem(int tag) {
			switch (tag) {
			case R.id.bt1:
				return FragmentTest.instantiation(1);
			case R.id.bt2:
				return FragmentTest.instantiation(2);
			case R.id.bt3:
				return FragmentTest.instantiation(3);
			case R.id.bt4:
				return FragmentTest.instantiation(4);
			case R.id.bt5:
				return FragmentTest.instantiation(5);
			default:
				return FragmentTest.instantiation(6);
			}
		}
		@Override
		public int getCount() {
			return 6;
		}
	}
	
}
